[PC-BSD Commits] r1052 - pbibuild/modules/alienarena/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Wed Dec 19 14:23:22 PST 2007


Author: gonzalo
Date: 2007-12-19 14:23:22 -0800 (Wed, 19 Dec 2007)
New Revision: 1052

Modified:
   pbibuild/modules/alienarena/overlay-dir/PBI.FirstRun.sh
Log:
Alien Arena added

Modified: pbibuild/modules/alienarena/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/alienarena/overlay-dir/PBI.FirstRun.sh	2007-12-19 22:22:14 UTC (rev 1051)
+++ pbibuild/modules/alienarena/overlay-dir/PBI.FirstRun.sh	2007-12-19 22:23:22 UTC (rev 1052)
@@ -46,3 +46,13 @@
       return 2
     fi
 fi 
+
+#3D APPLICATION: 3D ACC IS NEEDED
+
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D
+support enabled. This application requires 3D acceleration to function
+properly."
+fi
\ No newline at end of file



More information about the Commits mailing list